/* Theme Name:   Blue Cares
Description:  A Twenty-Twenty-one child theme customized for Blue Cares
Author:       Noisy Trumpet
Author URI:   https://noisytrumpet.com/
Template:     twentytwentyone
Version:      1.0.3
Text Domain:  bluetwentyonechild */

@import url('styles/styles.min.css');
@import url('styles/styles.css');


button.tribe-common-h3,
.tribe-common-c-btn-icon.tribe-common-c-btn-icon--caret-right.tribe-events-c-top-bar__nav-link.tribe-events-c-top-bar__nav-link--next {
  background: none !important;
}

.logos-block .logos-sect .logo-repeater {
flex-wrap: nowrap;
}

.logo-caption {
  display: block;
  padding: 1em 0;
  font-size: 0.9em;
  font-weight: 700;
}

@media (max-width:768px) {
  .hero h1 {
    font-size: 2.2em;
  }
}


/* New Nav Styles */

.inner-nav-logo{
  display: none;
}

header .main-header{
  padding: 2.5rem 10px;
  gap: 25px !important;
}

div.main-header.desktop{
  margin: 0 !important;
  padding: 0 !important;
}

div.main-header.desktop>div{
  width: 100% !important;
  max-width: 1200px !important;
  margin: 0 auto !important;
  display: flex !important;
  justify-content: space-between !important;
  gap: 2em !important;
}

.desktop-nav-inner{
  width: 100% !important;
  display: flex !important;
  flex-direction: column !important;
  justify-content: center !important;
  margin: 10px !important;
}

.desktop-nav-cta-container{
  display: flex !important;
  justify-content: flex-end !important;
  align-items: center !important;
  padding-top: 10px !important;
  gap: 1em !important;
}

#site-navigation{
  margin: 0 !important;
  padding: 0 !important;
}

.desktop-nav-cta{
  font-weight: 600 !important;
  font-size: 14px !important;
  text-decoration: none !important;
}

.primary-navigation .primary-menu-container > ul > .menu-item > a{
  padding: 13px 16px !important;
}

.desktop-nav-cta a{
  text-decoration: none !important;
}

/* @media (min-width: 770px) { */
  header .main-header .blue-cares-logo{
    order: inherit;
  }
/* } */

.primary-navigation a{
  text-transform: uppercase !important;
  font-family: 'Montseratt', sans-serif !important;
  letter-spacing: 2px !important;
  font-size: 14px !important;
  font-weight: 300 !important;
  color: black !important;
}

header .main-header .cta-btn-sect .cta-btn-item a button{
  font-family: 'Montserrat', sans-serif !important;
  font-size: 14px !important;
  letter-spacing: 2px !important;
  color: black !important;
}

header .main-header .cta-btn-sect .cta-btn-item a button:hover{
  color: white !important;
}
#menu-item-316{
  display: none !important;
}

header .main-header .primary-navigation li:after{
  display: none !important;
}

.primary-navigation .primary-menu-container > ul > .menu-item > a:after{
  content: url('/wp-content/uploads/2025/04/down.png');
  margin: -25px 0 0 12px!important;
  width: 100% !important; 
  height: 43px !important; 
  line-height: normal !important; 
}

header .main-header .primary-navigation .sub-menu {
  background-color: white !important;
  font-family: 'Montserrat', sans-serif !important;
  text-align: center !important;
  border-radius: 0 !important;
  color: black !important;
  letter-spacing: 2px !important;
}

header .main-header .primary-navigation .sub-menu:before {
  display: none !important;
  background-color: white !important;
}

/* Mobile Nav */

@media screen and (max-width: 768px){
  body > header > div.main-header.mobile {
    padding: .5rem 10px !important;
  }

  header .main-header .blue-cares-logo img{
    width: 100px !important;
  }

  div.main-header.mobile {
    justify-content: space-between !important;
  }

  svg.svg-icon{
    height: 30px !important;
    width: 30px !important;
    vertical-align: center !important;
  }

  #primary-menu-list,
  .mobile-menu-container{
    list-style: none !important;
    padding: 0 5px !important;
  }

  #primary-menu-list > .menu-item,
  .mobile-menu-container > .menu-item{
    border-bottom: 1px #D5D5D5 solid !important;
    padding: 10px 0 !important; 
    font-size: 13px !important;
  }

  #primary-menu-list > .menu-item,
  .mobile-menu-container > .menu-item{
    border-bottom: 1px #D5D5D5 solid !important;
    padding: 13px 0 !important; 
    font-size: 13px !important;
  }

  #primary-menu-list > .menu-item::before,
  .mobile-menu-container > .menu-item::before  {
    content: '';
    position: absolute;
    right: 25px;
    height: 9px !important;
    width: 9px !important;
    background-image: url('/wp-content/uploads/2025/04/right-arrow.png');
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
  }

  #primary-menu-list > .menu-item a,
  .mobile-menu-container > .menu-item a {
    width: 100%;
    display: block;
  }

  h2.submenu-back{
    background-color: #E6EBEF !important;
    font-size: 13px !important;
    color: black !important;
    font-style: normal !important;
    padding: 15px 0 !important; 
    text-transform: uppercase !important;
    font-weight: normal !important;
    letter-spacing: 1px !important;
    text-align: center !important;
    position: relative;
  }

  h2.submenu-back::before {
    content: '';
    position: absolute;
    left: 25px;
    height: 9px !important;
    width: 9px !important;
    background-image: url('/wp-content/uploads/2025/04/left-arrow.png');
    background-size: contain;
    background-repeat: no-repeat;
  }  

  #primary-menu-list > .menu-item > a,
  .mobile-menu-container > .menu-item > a{
    text-decoration: none !important;
    text-transform: uppercase !important;
    letter-spacing: 1px !important;
  }

  header .main-header .primary-navigation .menu-button-container {
    padding: 0;
    margin: 2rem 1rem;
    background-color: transparent;
    width: unset;
    display: flex !important;
    position: relative !important;
    width: 90% !important;
    align-items: center;
    top: 0;
}

#primary-mobile-menu > span.dropdown-icon.close{
  justify-content: space-between !important;
  width: 95vw !important;
  /* padding: 0 10px; */
}

header .main-header .primary-navigation ul,
.mobile-menu-container{
  padding-left: 0 !important;
  width: 95vw !important;
}


.mobile-nav-header,
.mobile-nav-header-inner{
display: flex !important; 
justify-content: space-between !important;
align-items: center !important;
width: 95vw !important;
}

.hidden{
  display: none !important;
}

#mobile-nav-close-btn,
#mobile-nav-open-btn,
#mobile-nav-close-btn:hover,
#mobile-nav-open-btn:hover{
  background-color: white !important;
  border: none !important;
}

header .main-header .blue-cares-mobile-logo img{
  height: 87px !important;
  width: 87px !important;
}

.submenu-block{
  height: 100% !important;
  min-height: 370px !important;
  padding-top: 10px !important;
}

.mobile-nav-footer{
  padding: 10px 5px !important;
  display: flex !important;
  flex-direction: column !important;
  gap: 10px !important;
  padding-bottom: 200px !important;
}

.mobile-nav-phone{
  font-weight: bold !important;
  font-size: 12px !important;
  text-decoration: none !important;
}

.desktop-nav-inner{
  height: 90vh !important;
}

}